## ascii 3.30

=== debian/changelog ===
ascii (3.30-1) unstable; urgency=medium

  * New upstream version 3.30. (Closes: #1126790)
  * New maintainer. Thanks to Calogero Lo Leggio and to all previous
    maintainers for all work over this package. (Closes: #1126790)
  * debian/ascii.lintian-overrides: dropped because this is no longer needed.
  * debian/control:
      - Added asciidoctor to Build-Depends field.
      - Bumped Standards-Version to 4.7.3.
      - Dropped xmlto from Build-Depends field. The upstream no longer needs
        this dependency for Makefile since version 3.19 (Feb 7, 2024).
      - Moved project to debian group on Git.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Reviewed the long description.
      - Updated Homepage field.
  * debian/copyright:
      - Updated and fixed the copyright rights for upstream and packaging.
      - Updated Source field.
      - Updated Upstream-Contact field.
  * debian/gbp.conf: dropped because this file is not needed for me.
  * debian/patches/:
      - handle_bytes_on_signed_char: dropped because the upstream fixed the
        source code. Thanks!
      - 010_add-GCC-hardening.patch: created to provide GCC hardening.
  * debian/rules:
      - Created target override_dh_auto_install to define variables DESTDIR
        and PREFIX.
      - Created target override_dh_installchangelogs to install the file
        NEWS.adoc as a changelog.
      - Dropped target override_dh_auto_build created to provide GCC hardening.
        From now, using a patch for this purpose.
      - Dropped target override_dh_auto_clean because the upstream Makefile
        has a clean target.
  * debian/salsa-ci.yml: created to provide CI tests on Salsa.
  * debian/tests/control: created to provide CI tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Migrated to version 5.
      - Updated to new upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 04 Feb 2026 23:48:18 -0300
