=== debian/control ===
Source: ascii
Section: utils
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), asciidoctor
Standards-Version: 4.7.3
Homepage: https://gitlab.com/esr/ascii
Vcs-Git: https://salsa.debian.org/debian/ascii.git
Vcs-Browser: https://salsa.debian.org/debian/ascii

Package: ascii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive ASCII name and synonym chart
 The ascii utility is a command-line tool for converting between the ASCII
 character table and various byte representations. It understands a wide range
 of formats, including hexadecimal, binary, octal, Teletype mnemonics,
 ISO/ECMA code points, slang names, XML entity names, and others.
 Given any representation on the command line, ascii attempts to display all
 corresponding forms. When invoked without arguments, it displays a compact
 and convenient ASCII chart.
