=== debian/changelog ===
ascii (3.31-2) unstable; urgency=medium

  * debian/control: updated Homepage field.
  * debian/upstream/metadata: added Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 Feb 2026 17:02:21 -0300

ascii (3.31-1) unstable; urgency=medium

  * New upstream version 3.31.
  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 Feb 2026 13:22:58 -0300
