=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), asciidoctor
 Standards-Version: 4.7.3
-Homepage: https://gitlab.com/esr/ascii
+Homepage: http://www.catb.org/~esr/ascii/
 Vcs-Git: https://salsa.debian.org/debian/ascii.git
 Vcs-Browser: https://salsa.debian.org/debian/ascii
