=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/ascii PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS.adoc
