=== debian/tests/control ===
Test-Command: ascii | grep -C20 DC3

Test-Command: ascii tab | grep -C3 Horizontal

Test-Command: ascii 65 | grep -C20 Digit | grep -C20 Capital | grep -C20 Small

Test-Command: ascii ascii 0x41 | grep -C3 Capital

Test-Command: ascii 1000001 | grep -C20 Capital
