=== debian/changelog ===
ascii (3.32-1) unstable; urgency=medium

  * New upstream version 3.32. (Closes: #117764)
  * debian/control: added cppcheck to Build-Depends field.
  * debian/patches/010_add-GCC-hardening.patch: dropped because the upstream
    applied this patch. Thanks Eric!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Mar 2026 17:20:47 -0300
