=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ascii
 Section: utils
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13), asciidoctor
+Build-Depends: debhelper-compat (= 13), asciidoctor, cppcheck
 Standards-Version: 4.7.3
 Homepage: http://www.catb.org/~esr/ascii/
 Vcs-Git: https://salsa.debian.org/debian/ascii.git
